import { Construct } from 'constructs';
/**
 *  Common utility class for CloudWatch Alarms.
 *
 *  This class provides a method to tag resources to exclude them from CloudWatch Alarms.
 */
export declare class CloudWatchAlarmsUtility {
    /**
     * Adds a tag to a resource to exclude it from CloudWatch Alarms.
     *
     * The tag is `cdk-library-cloudwatch-alarms:excludeResource` with the value `true`.
     * @param resource The resource to tag.
     */
    static excludeResource(resource: Construct): void;
}
